<?php
/**
 * @var array $data
 */

use kernel\IGTabel\btn\DangerBtn;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\IGTabel\btn\SuccessBtn;

$table_info = [
    "meta" => [
        "rows" => ["preview" => "Превью", "name" => "Название", "version" => "Версия", "description" => "Описание"],
        "params" => ["class" => "table table-bordered"],
        "baseUrl" => "/admin/settings/admin-themes",
    ],
    "data" => $data
];

$table = new \Itguild\Tables\ViewJsonTable(json_encode($table_info, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));
$table->rows([
    'preview' => function ($data) {
        return "<img src='$data' width='500px'>";
    }
]);
$table->beforePrint(function () {
    $btn = PrimaryBtn::create("Список", "/admin/settings/admin-themes")->fetch();
    return $btn;
});
$table->create();
$table->render();